Create Manifest
Use this endpoint to create a manifest for shipments that have already been booked.
Only one manifest may be created at a time, so the endpoint will return an error if you attempt to create a manifest for shipments of more than one carrier at the same time.
REST Endpoint
POST /restapi/v1/customers/:customerId/manifest
Request Content Type
application/json
Request JSON Example
{
"carrierCode": "ups",
"bookNumbers": ["2317948", "2317949", "2317950"],
"name": "Albert Jones",
"company": "Jones Co.",
"address1": "123 Some Street",
"address2": "#54",
"city": "Holladay",
"state": "UT",
"zip": "84117",
"country": "US"
}
Explanation of Request Fields
| Field | Type | Required | Description |
|---|---|---|---|
| carrierCode | string | true | The carrier code (must match the carrier code of shipments listed in bookNumbers) |
| bookNumbers | array of strings | true | Book numbers of the shipments that are to be manifested |
| name | string | true | Name of sender |
| company | string | true | Company name of sender |
| address1 | string | true | Sender street address line 1 |
| address2 | string | true | Sender street address line 2 |
| city | string | true | Sender city |
| state | string | true | Sender state/province (must be two-character code for US and CA) |
| zip | string | true | Sender zip or postal code |
| country | string | true | ISO two-character country code |
Response Status Code
201 Created
Response Content Type
application/json
Response JSON Example
{
"manifestId": "1234",
"type": "pdf",
"data": "bGFiZWwgZGF0YSBnb2VzIGhlcmU="
}
Explanation of Response Fields
| Field | Type | Description |
|---|---|---|
| manifestId | string | Unique ID for this manifest |
| type | string | data type for the manifest |
| data | string | base64 encoded string |